html{
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'SC_SOLNYCO', sans-serif;
    background-color: white;
}

.alerts{
    width: 100vw;
    font-size: 3em;
}

.alert-style{
    width: 100%;
}

/*
 * Cookie consent
 */
.js-cookie-consent{
    display: block;
    position: absolute;
    top: 10em;
    background-color: #fffbdb;
    width: 90%;
    height: 30%;
    margin: 1em;
    padding: 1em;
    border-radius: 5%;
    z-index: 9999;
    text-align: center;
}
.cookie-consent{
    background-color: #fffbdb;
}
.js-cookie-consent-agree{
    border-radius: 7%;
    background-color: orangered;
    height: 30%;
}


.selectpicker{
    background-color: dimgray;
}

/*
 * End
 */


.main-tag{
    background-color: white;
}

/*
navbar
 */

.navbar-div-wrapper{
    height: 18em;
    background-image: url('/storage/style/back-banner.png');
    /*background-image: url('/storage/style/anim-kraen.gif');*/
    background-repeat: no-repeat;
    background-position: center;
    /*background-size: cover;*/

}

.nav-image {
    margin-top: -4.5em;
    margin-left: 2.5em;
    height: 5em;
    width: 7em;
}


.navbar-div {
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    padding: 0.5em;
    border: 1px black solid;
    border-radius: 1rem;
}



#navbarSupportedContent{
}

#nav{
}

#nav-dropdown-div{
    text-align: center !important;
    border: 1px solid gray;
}

.navbar-nav-tag{
    width: 35%;
    border: none;
}

.nav-a{
    text-transform: uppercase;
    font-family: 'El Messiri', sans-serif;
    font-size: 0.9em;
    margin-left: 0.5em;
    margin-right: 0.5em;
    font-weight: bold;
    color: black;
    text-decoration: none;
}

.nav-a:hover, nav-a:focus{
    color: hotpink !important;
}

#dropdown-nav{
    text-transform: uppercase;
    font-family: 'El Messiri', sans-serif;
    font-size: 0.9em;
    margin-top: auto;
    margin-bottom: auto;
    margin-left: 0.5em;
    margin-right: 0.5em;
    font-weight: bold;
    color: pink;
    text-decoration: none;
}

#dropdown-nav:hover, #dropdown-nav:focus{
    color: hotpink !important;
}

.dropdown-item{
    color: hotpink !important;
}

#navbarDropdown{
    color: black;
}
#navbarDropdown:hover, #navbarDropdown:focus {
    color: hotpink !important;
}

#right-section{
    display: flex;
    font-family: 'El Messiri', sans-serif;
    margin-top: -4.0em;
    margin-right: 1em;
    width: 30%;
}

.cart-wrapper{
    margin-top: 1em;
    margin-right: 1em;
}

.image-cart {
    width: 2.5em;
    height: 2.5em;
}

.image-cart-span{
    position: absolute;
    background-color: green;
    margin-top: -4em;
    margin-left: 3em;
    color: antiquewhite;
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    font-size: 0.6em;
    text-decoration: none;
    text-align: center;

}

.search-wrapper{
    margin-top: 1em;
}

.image-search {
    margin-top: auto;
    width: 2.5em;
    height: 2.5em;
}

.cart-div{
    margin-left: 1em;
    margin-right: -3.5em;
}

.cart-orders{
    font-size: 0.8em;
    font-weight: bolder;
    margin-top: 0;
}

/*
end of nav
 */

/*
main
 */

/*
home page
 */
#home-image{
    display: flex;
    width: 75%;
    justify-content: center;
    margin: 1em;
}

.ads{
    width: 20%;
    font-size: 1em;
    float: right;
    margin: 1em;
    padding: 1em;
}

.home-image {
    width: 40%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 7em;
    margin-top: 7em;
}

.home-para{
    margin: 0.5em;
}

.home-para>p{
    margin: 1em;
    font-size: 2.1em;
}

.home-para>ul{
    margin: 1em;
    font-size: 2.1em;
}

.we{
    text-align: center;
    align-content: center;
    font-size: 1.8em;
    font-weight: bolder;
    font-style: italic;
    margin-top: 1.1em;
    margin-bottom: 1.3em;
}

.product-wrapper-header{
    margin-bottom: 1em;
    margin-top: 5em;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    grid-template-areas: "overlap";

}

.product-header-hr{
    width: 35%;
    margin-top: -1.5em;
    height: 0.1em;
    border-bottom: 1px solid black;
    grid-area: overlap;
    align-self: center;
    justify-self: center;
}

.product-header-hr>hr{
    color: black;
    height: 1px;
}

.product-header-div{
    background-color: white;
    font-family: 'El Messiri', sans-serif;
    font-size: 4em;
    color: black;
    /*width: 25%;*/
    height: 2em;
    grid-area: overlap;
    align-self: center;
    text-align: center;
    justify-self: center;
}

.product-wrapper{
    height: 30em;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 4em;
    margin-top: 4em;
    left: 0;
    right: 0;
    background-color: rgba(93,93,93, 0.07);
}

.product-a{
    color: black;
    font-size: 2.5em;
    text-decoration: none;
    text-transform: none;
    margin-left: auto;
    margin-right: auto;
}

.product-a>span{
    text-decoration: none;
    margin-left: auto;
    margin-right: auto;
}

.product-hr{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3em;
    margin-bottom: 3em;
}



/*
end of main
 */

/*
footer
 */

footer{
    margin-top: 8em;
    position: relative;
    width: 100%;
    height: 20em;
    background: #fbd9e1;
    display: flex;
    justify-content: center;
}

footer:after{
    position: absolute;
    width: 100%;
    height: 20em;
    background: inherit;
    z-index: 1;
    bottom: 0;
    content: '';
    transform-origin: right top;
    transform: skewY(6deg);
}

.footer-wrapper{
    z-index: 10;
    width: 70%;
    margin-right: -15em;
}

.footer-item{
    margin-right: 7em;
    margin-top: 2em;
    z-index: 10;
}

.footer-item>span{
    font-size: 3em;
    font-weight: bolder;
}

/*#quick-links, #categories, #contacts {*/
/*    font-size: 4.2em;*/
/*}*/

.footer-image {
    margin-top: -8em;
    margin-left: -20em;
    width: 24em;
    z-index: 10;
}

.policy{
    width: 55%;
    height: 7em;
    margin-top: 11em;
    margin-left: -31em;
}

.policy>a{
    margin-top: 2em;
    font-size: 1.3em;
    font-family: "El Messiri", sans-serif;
    text-decoration: none;
    color: #ec84d1;
}

.contacts-sec{
    width: 170%;
    display: flex;
    margin: auto 1em auto 6em;
    font-family: "El Messiri", sans-serif;
    justify-content: space-between;
}

.contacts-sec>div{
    display: block;
    text-align: center;
    font-size: 1.2em;
}

.contacts-sec>div>a{
    text-decoration: none;
    color: black;
    font-size: 0.95em;
}

.contacts-sec>div>a>img{
    width: 3em;
    margin-left: auto;
    margin-right: auto;
}

#security-policy, #cookies-policy{
    display: block;
    margin-left: -9em;
    width: 80%;
    font-size: .5em;
    font-family: "El Messiri", sans-serif;
    text-decoration: none;
    color: black;
    text-align: center;
}
#security-policy>a, #cookies-policy>a{
    margin-top: 2em;
    padding: .5em;
    font-size: 3em;
    font-family: "El Messiri", sans-serif;
    text-decoration: none;
    color: black;
}

#security-policy>a:hover, #cookies-policy>a:hover{
    color: deeppink;
}


#mobile-policy{
    display: none;
}

#contacts{
    display: none;
    font-family: "El Messiri", sans-serif;
    width: 50%;
    /*font-size: .8em;*/
    margin-right: -5em;
    margin-left: 5em;
}

#contacts>span{
    font-size: 1.5em;
}

.footer-contact-images{
    width: 2.5em;
    margin: .5em 0;
}

.contact-mobile>a{
    color: black;
    text-decoration: none;
}

.contact-mobile>a>span{
    font-size: 1.1em;
}

.mobile-policy-button{
    display: none;
    font-family: "El Messiri", sans-serif;
    color: deeppink;
    background: black;
    border: none;
    border-radius: 0.5rem;
}

#mobile-policy-hidden{
    display: none;
    font-family: "El Messiri", sans-serif;
    font-size: 1.2em;
}

@media (min-width: 1400px){
    #right-section{
        display: flex;
        margin-top: -4.0em;
        margin-right: -8em;
        width: 30%;
        right: 0;
        float: right;
    }
}

@media (max-width: 1400px){
    #right-section{
        display: flex;
        margin-top: -4em;
        margin-right: -5.5em;
        width: 30%;
        right: 0;
        float: right;
    }

    .nav-a{
        font-size: 0.9em;
        margin-left: 0.1em;
        margin-right: 0.1em;
    }

}

@media (max-width: 1240px) {
    #right-section{
        margin-right: -4em;
    }
    .nav-a{
        font-size: 0.8em;
        margin-left: 0.1em;
        margin-right: 0.1em;
    }

    /*.product-wrapper{*/
    /*    height: 22em;*/
    /*    width: 90%;*/
    /*    margin-left: auto;*/
    /*    margin-right: auto;*/
    /*    left: 0;*/
    /*    right: 0;*/
    /*    background-color: #F0F0F0;*/
    /*}*/

    .product-hr{
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        margin-top: 3em;
        margin-bottom: 3em;
    }
}

@media (max-width: 1100px) {
    #right-section{
        margin-right: -3em;
    }
    .nav-a{
        font-size: 0.7em;
        margin-right: 0.1em;
    }
}

@media (max-width: 1000px) {
    #right-section{
        margin-right: -1em;
    }
    .nav-a{
        font-size: 0.6em;
        margin-right: 0.1em;
    }
}

@media (max-width: 900px) {
    #navbarSupportedContent{
        background: white !important;
        opacity: 0.85;
    }
    #right-section{
        margin-right: 0;
    }

    #home-aside-bar{
    }
}

@media (max-width: 852px) {
    #right-section{
        margin-right: 1em;
    }
    .alerts{
        font-size: 1.5em;
    }
}

@media (max-width: 768px) {

    html, body{
        /*font-size: 90%;*/
        margin: 0;
        padding: 0;
    }

    .navbar-div-wrapper{
        height: 11em;
    }

    .nav-image {
        margin-top: 1em;
        width: 6em;
    }


    .navbar-div {
        width: 80%;
        margin-left: -0.1em;
        border: 1px white;
        border-radius: 1rem;
    }

    .navbar-toggler-icon{
        padding: 0.1em;
        width: 1.5em;
        height: 1.5em;
        border-radius: 50%;
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.5%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    }

    .nav-a{
        text-transform: uppercase;
        font-size: 0.5em;
        font-weight: bolder;
        color: black;
        text-decoration: none;
    }

    #dropdown-nav{
        text-transform: uppercase;
        font-family: 'El Messiri', sans-serif;
        font-size: 0.5em;
        margin-left: 0.5em;
        margin-right: 0.5em;
        font-weight: bold;
        color: pink;
        text-decoration: none;
    }

    #nav-dropdown-div>a{
        font-size: 0.6em;
    }

    #right-section{
        display: block;
        width: 30%;
        margin-right: -3.8em;
        margin-top: -5em;

    }

    .cart-wrapper{
        margin-top: 1.8em;
    }

    .image-cart {
        width: 1.5em;
        height: 1.5em;
    }

    .image-cart-span{
        position: absolute;
        background-color: green;
        margin-top: -2.8em;
        margin-left: 2.3em;
        color: antiquewhite;
        width: 1.2em;
        height: 1.2em;
        border-radius: 50%;
        font-size: 0.5em;
        text-decoration: none;
        text-align: center;

    }

    .search-wrapper{
        margin-top: 0;
    }

    .image-search {
        margin-top: auto;
        width: 1.5em;
        height: 1.5em;
    }

    .span-wrapper{
        display: none;
    }

    .cart-div{
        margin-left: 1em;
        margin-right: 0;
    }

    .cart-orders{
        font-size: 0.8em;
        font-weight: bolder;
        margin-top: 0;
    }

    /*
    container
     */

    .ads{
        display: flex;
        justify-content: center;
        width: 80%;
        float: none;
    }

    .home-para{
        width: 99%;
    }

    .home-para>p{
        font-size: 1em;
    }

    .home-para>ul{
        font-size: 1em;
    }

    .we{
        text-align: center;
        font-size: 1em;
        font-weight: bolder;
        font-style: italic;
    }

    #products{
        margin-bottom: 7em;
        margin-top: 0.2em;
    }

    #search{
        margin-bottom: 12em;
        margin-top: 0.2em;
    }

    .product-wrapper-header{
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        grid-template-areas: "overlap";

    }

    .product-header-hr{
        width: 62%;
        height: 0.1em;
        margin-top: -1em;
        border-bottom: 1px solid gray;
        grid-area: overlap;
        align-self: center;
        justify-self: center;
    }

    .product-header-hr>hr{
        color: black;
        height: 1px;
    }

    .product-header-div{
        background-color: white;
        font-size: 1.5em;
        color: black;
        width: 50%;
        height: 2em;
        grid-area: overlap;
        align-self: center;
        text-align: center;
        justify-self: center;
    }

    /*
footer
 */

    /*footer{*/
    /*    margin-top: 8em;*/
    /*    position: relative;*/
    /*    width: 100%;*/
    /*    height: 20em;*/
    /*    background: #fbd9e1;*/
    /*    display: flex;*/
    /*    justify-content: center;*/
    /*}*/

    /*footer:after{*/
    /*    position: absolute;*/
    /*    width: 100%;*/
    /*    height: 20em;*/
    /*    background: inherit;*/
    /*    z-index: 1;*/
    /*    bottom: 0;*/
    /*    content: '';*/
    /*    transform-origin: right top;*/
    /*    transform: skewY(6deg);*/
    /*}*/

    .footer-wrapper{
        display: none;
        z-index: 10;
        margin-right: 0;
        width: auto;
    }

    .footer-item{
        z-index: 10;
    }

    .footer-image {
        margin-top: 1em;
        margin-left: 0.1em;
        width: 7em;
    }

    #security-policy, #cookies-policy{
        display: none;
    }

    .policy{
        display: none;
    }

    .contacts-sec{
        display: none;
    }

    #contacts{
        display: block;
        width: 60%;
        margin-left: -5em;
        margin-right: 0;
    }

    #contacts>span{
        font-size: 1em;
    }

    .footer-contact-images{
        width: 2em;
    }

    .contact-mobile>a>span{
        font-size: 1em;
    }

    #mobile-policy{
        font-family: "El Messiri", sans-serif;
        font-size: 1.2em;
        display: block;
        width: 100%;
    }

    .mobile-policy-button{
        display: block;
        margin-right: auto;
        margin-left: auto;
    }

    #mobile-policy-hidden>a {
        color: black;
        text-decoration: none;
    }
}
